#ifndef __EDITOR_H__
#define __EDITOR_H__

#include "lcd.h"
#include "menu.h"
#include "misc.h"

// Konstante, die die Speichergroesse des Editors angibt.
#define EDITOR_MAXMEMSIZE EPROM_SIZE

uint16_t editor_end_pointer;
uint8_t editor_buffer[EDITOR_MAXMEMSIZE];

void editor_init(void);
void editor_handle_keystroke(uint8_t key);
void editor_display(void);
void editor_clear(void);
void editor_read_eprom(void);
void editor_burn(void);

#endif
