#ifndef __MISC_H__
#define __MISC_H__

#include <avr/io.h>
#include <inttypes.h>
#include <util/delay.h>

// Konstanten fuer die Datenrichtung am LCD-/EPROM-Bus
#define MISC_DD_OFF 0
#define MISC_DD_UC 1
#define MISC_DD_EPROM 2
#define MISC_DD_LCD 3

// Konstanten, die den Pins am Controller Namen geben, die ihre
// Funktion widerspiegeln.
#define GOE PORTC6
#define RW PORTC3
#define LED PORTD2
#define EPCE PORTC7
#define EPEEP PD7
#define VPPWE PD7

void misc_error(void);

void misc_set_data_direction(uint8_t dd);

uint8_t misc_halfbyte_to_char(uint8_t hb);

#endif
